- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_stp – CLI command to modify stp

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to modify Spanning Tree Protocol parameters.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_bpdus_bridge_ports boolean | Choices: no yes | BPDU packets to bridge specific port.
pn_bridge_id string |  | STP bridge id.
pn_bridge_priority string | Default: "32768" | STP bridge priority.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_enable boolean | Choices: no yes | enable or disable STP
pn_forwarding_delay string | Default: "15" | STP forwarding delay between 4 and 30 secs.
pn_hello_time string | Default: "2" | STP hello time between 1 and 10 secs.
pn_max_age string | Default: "20" | maximum age time between 6 and 40 secs.
pn_mst_config_name string |  | Name for MST Configuration Instance.
pn_mst_max_hops string | Default: "20" | maximum hop count for mstp bpdu.
pn_root_guard_wait_time string | Default: "20" | root guard wait time between 0 and 300 secs. 0 to disable wait.
pn_stp_mode string | Choices: rstp mstp | STP mode.
state string / required | Choices: update | State the action to perform. Use `update` to stp.

## Examples

    - name: Modify stp
      pn_stp:
        pn_cliswitch: "sw01"
        state: "update"
        pn_hello_time: "3"
        pn_stp_mode: "rstp"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the stp command.
stdout list | always | set of responses from the stp command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.